---
gitlab: kyetter
name: Kyle Yetter
locality:
country: Remote
job_title: Senior Backend Engineer
picture: kyleyetter.jpg
departments:
- Development
- Engineering Function
- Infrastructure Department
- Core Platform Sub-department
- Geo BE Team
division: Engineering
reports_to: juan-silva
specialty:
- Geo
role: "<a href='https://handbook.gitlab.com/job-families/engineering/backend-engineer'>Senior
  Backend Engineer</a>"
twitter:
linkedin: kyle-yetter
story: "Kyle Yetter is an experienced software engineer who lives with his husband
  in the US South in a former luxury department store. Together, they tend to two
  cats: a tough <a href=\"https://en.wikipedia.org/wiki/Polydactyl_cat\" target=\"_blank\">Hemmingway</a>
  tabby, and a gentle Maine Coon/hovering cloud of fur.\n\nPreviously, he's worked
  in telecom, web hosting/system administration, ed tech, and gig economy marketplace
  spaces. Most recently, he spent three and a half years as a senior engineer for
  TaskRabbit, and then another year as a leading engineer for Wonolo. \n\nKyle is
  a bit of a programming language nerd, as well as a long-time Ruby fanboy. Ruby is
  his strongest fluency, but he's also very interested in JavaScript, Go, Python,
  Perl, PHP, Java, Bash/Shell languages, as well as many other more domain-specific
  technologies.\n\nKyle strives to be well-rounded with a wide variety of interests.
  Here is a small sampling of things he likes to think about:\n\n<ul>\n  <li>podcasts</li>\n
  \ <li>audiobooks</li>\n  <li>the color vermilion</li>\n  <li>square toed shoes</li>\n
  \ <li>Kurt Vonnegut, Jr.</li>\n  <li>thoughtful artistic horror movies</li>\n  <li>trashy
  indefensible horror movies</li>\n  <li>feminism</li>\n  <li>pears</li>\n  <li>katamaris</li>\n
  \ <li>foxes</li>\n  <li>orchestral harps</li>\n  <li>bandanas</li>\n  <li>Soulsborne
  games</li>\n  <li>bright colors and bold patterns</li>\n  <li>stick figure drawings</li>\n
  \ <li>improv comedy</li>\n  <li>mathematics</li>\n  <li>ginger</li>\n  <li>gingerbread</li>\n</ul>"
expertise:
pronouns: he/his
pronunciation: Kyle like "While", Yetter like "Better"
remote_story: "Many years ago, I had a job that demanded 2-3 hours of driving every
  day. It was deeply stressful,\nexpensive, and invasive -- I had no feeling of a
  work-life balance. I was not especially happy,\nbut it was necessary at the time,
  and it was manageable enough. However, this became much less manageable\nwhen a
  close family member was diagnosed with a dangerous rare form of cancer, and I needed\nto
  be their caretaker. Under the circumstances, my employer at the time graciously
  allowed\nme to work from home while I tended to my family's care needs.\n\nBefore
  this story gets too somber, I'll reveal that this family member pulled through their
  treatment\nsuccessfully and they are still alive and well today, many years later.
  And it's not clear\nif that would have been possible if I was not able to be at
  home, administering medication and\ncoordinating their care while they were ill,
  weak, and vulnerable. \n\nFurther, once I began to work from home, I found I was
  often twice as productive. I was fully able to\nstill collaborate and participate
  with my coworkers, and I was not setting gallons and gallons\nof gasoline on fire
  simply to be in person in an office. Once I adjusted to this form of work,\nI decided
  I would not go back to traditional commute work.\n\nAs of the time I am writing
  this, I am a new team member at GitLab. However, I can testify\nthat GitLab is the
  company that has most figured out how to provide and manage\nremote work with methods
  that allow productivity and autonomy. The GitLab Handbook is full of gold in terms
  of practical\nadvice that gives insight into handling the nuances of working remotely."

